Skip to main content
GET
/
api
/
v1
/
clients
List Clients
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/clients \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "country": "<string>",
      "maxAccountValue": 123,
      "currency": "<string>",
      "priceCategory": "high",
      "paymentTerms": "<string>",
      "contacts": [
        {
          "id": "<string>",
          "contactName": "<string>",
          "email": "<string>",
          "phoneNumber": "<string>",
          "countryCode": "<string>"
        }
      ],
      "ordersCount": 123
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
sort
string | null
default:-created_at
q
string | null

Search term

Response

Successful Response

Paginated response for clients list

data
ClientResponse · object[]
required
pagination
PaginationInfo · object
required

Pagination metadata following API standards.

Attributes: page: Current page number (1-indexed) limit: Items per page total: Total number of items matching query totalPages: Total number of pages hasNext: Whether there is a next page hasPrev: Whether there is a previous page